Bug 1306237 - Secondary monitor turns completely off while Thinkpad T450s in dockstation goes into "sleep" mode after lock mode
Secondary monitor turns completely off while Thinkpad T450s in dockstation go...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 06:37 EST by Michal Toth
Modified: 2016-07-19 16:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:00:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Toth 2016-02-10 06:37:34 EST
Description of problem:
Secondary monitor is not being automatically configured into previous working state, after system is locked then went into "sleep" mode and waken up with user keyboard action (login).
By default, I have "mirrored" setting turned on after this issue happens which is wrong as I do not use mirrored display.

By default I use 
xrandr --output DP2-2 --auto --primary --rotate normal --output DP2-3 --auto --right-of DP2-2 --rotate right --output eDP1 --off

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.99.917-15.20150729.fc22.x86_64

How reproducible:
95%

Steps to Reproduce:
1) Have T450s docked in station and have 2 monitors attached to it.
2) Lock screen the machine for currently logged in user .
3) After some time, monitors are turned off.
4) Type anything, log in to system. 
5) Secondary monitor is down. Sometimes I have to turn if on/off, move laptop out of docking station or just simply play with "Gnome Display Settings"

Actual results:
Secondary monitor is hard to "wake up" from "blank state".

Expected results:
Secondary monitor returns to state before it went into sleep mode.

Additional info:
Feb 10 12:18:40 jaguar kernel: ------------[ cut here ]------------
Feb 10 12:18:40 jaguar kernel: WARNING: CPU: 0 PID: 18344 at drivers/gpu/drm/i915/intel_ddi.c:603 intel_ddi_get_crtc_new_encoder+0x8d/0xa0 [i915]()
Feb 10 12:18:40 jaguar kernel: 2 encoders on crtc for pipe A
Feb 10 12:18:40 jaguar kernel: Modules linked in: nls_utf8 isofs nfsv3 rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJEC
T nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_i
pv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw vhost_net vhost macvtap macvlan hid_logitech_hidpp hid_logitech_dj uas usb_storage vfat fat mmc_block rfcomm fuse ccm cmac tun bridge stp llc bn
ep arc4 intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel iwlmvm kvm mac80211 iTCO_wdt iTCO_vendor_support
Feb 10 12:18:40 jaguar kernel: btusb btrtl uvcvideo btbcm iwlwifi btintel videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common snd_hda_codec_hdmi snd_hda_codec_realtek bluetooth snd_hda_codec_generic cfg80211 videodev snd_hda_inte
l i2c_i801 snd_hda_codec snd_hda_core media snd_hwdep snd_seq snd_seq_device rtsx_pci_ms memstick snd_pcm thinkpad_acpi tpm_tis snd_timer rfkill wmi tpm lpc_ich shpchp mei_me snd soundcore mei nfsd auth_rpcgss nfs_acl lockd grace sunrpc bi
nfmt_misc dm_crypt i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper e1000e drm crct10dif_pclmul crc32_pclmul crc32c_intel serio_raw rtsx_pci ptp pps_core video [last unloaded: iptable_raw]
Feb 10 12:18:40 jaguar kernel: CPU: 0 PID: 18344 Comm: Xorg Tainted: G        W       4.2.6-201.fc22.x86_64 #1
Feb 10 12:18:40 jaguar kernel: Hardware name: LENOVO 20BWS1KY0H/20BWS1KY0H, BIOS JBET49WW (1.14 ) 05/21/2015
Feb 10 12:18:40 jaguar kernel: 0000000000000000 0000000099d7f784 ffff8802c1263978 ffffffff817729ea
Feb 10 12:18:40 jaguar kernel: 0000000000000000 ffff8802c12639d0 ffff8802c12639b8 ffffffff8109e4b6
Feb 10 12:18:40 jaguar kernel: 0000000000000000 ffff8803314a2800 ffff88032b8ea000 ffff88008a791f00
Feb 10 12:18:40 jaguar kernel: Call Trace:
Feb 10 12:18:40 jaguar kernel: [<ffffffff817729ea>] dump_stack+0x45/0x57
Feb 10 12:18:40 jaguar kernel: [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Feb 10 12:18:40 jaguar kernel: [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
Feb 10 12:18:40 jaguar kernel: [<ffffffffa01e04cd>] intel_ddi_get_crtc_new_encoder+0x8d/0xa0 [i915]
Feb 10 12:18:40 jaguar kernel: [<ffffffffa01e0ae4>] intel_ddi_pll_select+0x44/0xf00 [i915]
Feb 10 12:18:40 jaguar kernel: [<ffffffffa0076ef2>] ? drm_atomic_get_crtc_state+0x32/0xd0 [drm]
Feb 10 12:18:40 jaguar kernel: [<ffffffffa01b831b>] ? intel_check_primary_plane+0xdb/0x330 [i915]
Feb 10 12:18:40 jaguar kernel: [<ffffffff81203028>] ? __kmalloc_track_caller+0x1a8/0x250
Feb 10 12:18:40 jaguar kernel: [<ffffffffa01b3f36>] haswell_crtc_compute_clock+0x16/0x40 [i915]
Feb 10 12:18:40 jaguar kernel: [<ffffffffa01c29d8>] __intel_set_mode+0x568/0xb60 [i915]
Feb 10 12:18:40 jaguar kernel: [<ffffffffa01c42df>] ? intel_modeset_compute_config+0x3af/0xb60 [i915]
Feb 10 12:18:40 jaguar kernel: [<ffffffffa01c9c86>] intel_crtc_set_config+0x2b6/0x580 [i915]
Feb 10 12:18:40 jaguar kernel: [<ffffffffa0067306>] drm_mode_set_config_internal+0x66/0x100 [drm]
Feb 10 12:18:40 jaguar kernel: [<ffffffffa006b819>] drm_mode_setcrtc+0x3e9/0x500 [drm]
Feb 10 12:18:40 jaguar kernel: [<ffffffffa005c365>] drm_ioctl+0x125/0x610 [drm]
Feb 10 12:18:40 jaguar kernel: [<ffffffffa006b430>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
Feb 10 12:18:40 jaguar kernel: [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Feb 10 12:18:40 jaguar kernel: [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Feb 10 12:18:40 jaguar kernel: [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Feb 10 12:18:40 jaguar kernel: [<ffffffff810acf1e>] ? SyS_rt_sigprocmask+0x8e/0xc0
Feb 10 12:18:40 jaguar kernel: [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Feb 10 12:18:40 jaguar kernel: ---[ end trace c941de320ea5ee16 ]---
Feb 10 12:18:40 jaguar /usr/libexec/gdm-x-session: Window manager warning: Log level 8: meta_window_move_resize: assertion '!window->override_redirect' failed
Feb 10 12:18:40 jaguar /usr/libexec/gdm-x-session: Window manager warning: Log level 8: meta_window_move_resize: assertion '!window->override_redirect' failed
Feb 10 12:18:40 jaguar /usr/libexec/gdm-x-session: Window manager warning: Log level 8: meta_window_move_resize: assertion '!window->override_redirect' failed
Feb 10 12:18:40 jaguar /usr/libexec/gdm-x-session: Window manager warning: Log level 8: meta_window_move_resize: assertion '!window->override_redirect' failed
Feb 10 12:18:40 jaguar /usr/libexec/gdm-x-session: Window manager warning: Log level 8: meta_window_move_resize: assertion '!window->override_redirect' failed
Feb 10 12:18:41 jaguar /usr/libexec/gdm-x-session: Window manager warning: Log level 8: meta_window_move_resize: assertion '!window->override_redirect' failed
Feb 10 12:18:41 jaguar /usr/libexec/gdm-x-session: (cinnamon-settings-daemon:18593): color-plugin-WARNING **: failed to reset xrandr-eDP1 gamma tables: gamma size is zero
Feb 10 12:18:41 jaguar /usr/libexec/gdm-x-session: (cinnamon-settings-daemon:18593): color-plugin-WARNING **: failed to set screen _ICC_PROFILE: Failed to open file '/var/lib/gdm/.local/share/icc/edid-58d5429f81083e6a11fea40fe5db2b15.icc': Permission denied

========================
$ xrandr 
Screen 0: minimum 8 x 8, current 3000 x 1920, maximum 32767 x 32767
eDP1 connected (normal left inverted right x axis y axis)
   1920x1080     60.02 +
   1400x1050     59.98  
   1600x900      60.00  
   1280x1024     60.02  
   1280x960      60.00  
   1368x768      60.00  
   1280x720      60.00  
   1024x768      60.00  
   1024x576      60.00  
   960x540       60.00  
   800x600       60.32    56.25  
   864x486       60.00  
   640x480       59.94  
   720x405       60.00  
   640x360       60.00  
DP1 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
DP2-1 disconnected (normal left inverted right x axis y axis)
DP2-2 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 510mm x 287mm
   1920x1080     60.00*+
   1680x1050     59.95  
   1400x1050     59.98  
   1600x900      60.00  
   1280x1024     75.02    60.02  
   1440x900      59.89  
   1280x960      60.00  
   1280x800      59.81  
   1152x864      75.00  
   1280x720      60.00  
   1024x768      75.08    70.07    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   640x480       75.00    72.81    66.67    60.00  
   720x400       70.08  
DP2-3 connected 1080x1920+1920+0 right (normal left inverted right x axis y axis) 510mm x 287mm
   1920x1080     60.00*+
   1680x1050     59.95  
   1400x1050     59.98  
   1600x900      60.00  
   1280x1024     75.02    60.02  
   1440x900      59.89  
   1280x960      60.00  
   1280x800      59.81  
   1152x864      75.00  
   1280x720      60.00  
   1024x768      75.08    70.07    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   640x480       75.00    72.81    66.67    60.00  
   720x400       70.08  
HDMI1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
Comment 1 Fedora End Of Life 2016-07-19 16:00:43 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.